%This function generates time series of a solution to the heat equation
%k is the number of iterations you want to use (t=hk, where h is the 
%time interval, and k is the number of intervals).  Make it bigger for 
%better but slower results.  EM is the energy matrix, IP is the inner
%product matrix, and c0 is the inital values.  timestep is the 
%interval of time between steps of the time series, and numsteps is the
%total number of steps.  The results are stored in a matrix whose rows
%are the splines representations of the function at a particular time


function A=generate_heat_time_series(EM,IP,c0,k,timestep,numsteps)


A=[c0']

for i=1:numsteps
   outC=heat_eqn_t(EM,IP,c0,timestep*i,k);
   A=[A ; outC'];
end