%This function is just like generate_wave_time_series.m, except that 
%it calls wave_eqn_t2 instead of wave_eqn_t, which means that instead of
%using the iterative type solutions, it uses the matrix exponential solutions
%This has the advantage of being more accurate (in particular, you don't have to
%worry about balancing space and time intervals) with the added cost of being
%somewhat slower.  Notice that the parameter k here is meaningless, since k is
%not used when using the matrix exponential command...



function A=generate_wave_time_series2(EM,IP,c0,d0,k,timestep,numsteps)


A=[c0']

for i=1:numsteps
   outC=wave_eqn_t2(EM,IP,c0,d0,timestep*i,k);
   A=[A ; outC'];
end