%This function solves the wave eqn at a particular time t, just like 
%wave_eqn_t, except that instead of using k and thus h, it uses matrix
%exponential.  The advantage is that you don't have to worry about coordinating
%the size of the time interval with the space size (size of the matrix), because
%the matrix exponential will automatically go out to the required level of accuracy.
%However, for the same reason, it is slower.


function c=wave_eqn_t2(EM,IP,c0,d0,t,k)

h=t/k;

thesize=size(EM);
dimen=thesize(1);

M=t*[zeros(dimen) eye(dimen);-1*inv(IP)*EM zeros(dimen)];



c_d=expm(full(M))*[c0;d0];

c=c_d(1:dimen);